﻿@using MIMS.Portal.ValueObjects.Enum;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "انتقال اطلاعات";
}
@{
    var pspProvider = (PspProvider)ViewBag.PspProvider;
}
<section id="merchant-index">
    <div class="card">
        <div class="card-header">
            <h4 class="">@pspProvider.GetDisplayName()</h4>
        </div>
        <div class="card-body">
            <div class="card-block">

                @if (pspProvider == PspProvider.Pep)
                    @await Component.InvokeAsync("PepExportData")

                @if (pspProvider == PspProvider.Fanava)
                    @await Component.InvokeAsync("PepExportData")

            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>

@section scripts {
    <script>
        $('td').tooltip({
            trigger: 'click',
            //placement: 'bottom'
            delay: { show: 500, hide: 100 },
            placement: 'bottom'
        });

        //$(document).ready(function () {
            debugger;
            $(".copy").on("click", function (event) {
                debugger;
                var txt = $(this).text();

                var $temp = $("<input>");
                $("body").append($temp);

                $temp.val($(this).text()).select();
                document.execCommand("Copy");
                /* Alert the copied text */
                $(this).tooltip('hide')
                    .attr('data-original-title', "کپی شد")
                    .tooltip('show');
                setTimeout(function () {
                    $('td').tooltip('hide');
                }, 1000);
                //$(this).tooltip('hide').tooltip({ title: "کپی شد!", delay: { show: 500, hide: 100 }, placement: "bottom" }).tooltip('show');
                //$('.btn-warning').tooltip({ title: "Hooray", placement: "top" });
                $temp.remove();

            });
        //});

        //function clipboard() {
        //    /* Get the text field */
        //    var copyText = document.getElementsByClassName("copy");

        //    /* Select the text field */
        //    copyText.select();
        //    copyText.setSelectionRange(0, 99999); /* For mobile devices */

        //    /* Copy the text inside the text field */
        //    navigator.clipboard.writeText(copyText.value);

        //    /* Alert the copied text */
        //    alert("Copied the text: " + copyText.value);
        //}
    </script>

}